/*---------------------------------------------------------------------------*/
/* docstyle_ga.css                                                           */
/* version: 2002JUL18-001                                                    */
/* CSS stylesheet for Genetic Anomalies source code documentation.           */
/* Copyright THQ Inc. All rights reserved.                                   */
/* This file edited by John M. Astell.                                       */
/*---------------------------------------------------------------------------*/

/* To avoid potential conflict with user-set styles, color and background    */
/* color are always set together -- don't rely on an element implicitly      */
/* inheriting the setting of the body element. This stylesheet uses the CSS2 */
/* "inherit" value to explicitly specify that inheritance is used            */
/* (otherwise, each element that specified a color would have to specify an  */
/* explicit background too (and vice versa), which creates a maintenance     */
/* headache. Browsers that do not support CSS2 "inherit" may have problems,  */
/* so do not use this if older browsers must be suppported.                  */


/* Styles for links */
/* Since links can have code identifiers containing underscores, links are   */
/* not underlined.                                                           */
a:link, a:visited
{
   color:           #647ECE;   /* a blue */
   background:      inherit;
   text-decoration: none;      /* no underlining */
}

a:hover
{
   color:           #64AEBE;   /* a bright blue */
   background:      inherit;
   text-decoration: none;      /* no underlining */
}


/* Styles for tags */
body
{
   margin:     0 15px 0 2px;
   padding:    0;              /* 0 makes Opera similar to IE and N */
   color:      #000000;
   background: #FFFFFF none;
}

/* Helps control tables, especially for N4 */
/* N4 has other problems and should no longer be supported */
table, td, th
{
   margin:     0 0 0 2px;      /* left 2 else N6 content too flush left */
   padding:    0 2px;
   color:      #000000;
   background: #FFFFFF none;
}

h1, h2, h3, h4, h5, h6
{
   font-family: Tahoma, sans-serif;
   margin:      0 0 0 2px;
}

blockquote
{
   margin: 0 0 0 20px;
}

p, pre
{
   margin: 0;
}

ol, ul, dl
{
   /* don't just use margin: 0, as you'll lose the left indent in IE5! */
   margin-top:    0;
   margin-right:  0;
   margin-bottom: 0;
}

/* Note that font info at this level will specify the font for the numbers in OL */
ol.tah10, ul.tah10
{
   /* don't just use margin: 0, as you'll lose the left indent in IE5! */
   margin-top:    0;
   margin-right:  0;
   margin-bottom: 0;
   font-family:   Tahoma, sans-serif;
   font-size:     10pt;
   line-height:   12pt;
}

/* Note that font info at this level will specify the font for the numbers in OL */
ol.tah10in17, ul.tah10in17
{
   margin-top:    0;
   margin-right:  0;
   margin-bottom: 0;
   font-family:   Tahoma, sans-serif;
   font-size:     10pt;
   line-height:   12pt;
   margin-left:   17px;
}


hr 
{
   color:      #84CEDE; 
   background: #FFFFFF none;
}


/* Class Selectors */
/* Generalized Tahoma font styles */
.tah06
{
   font-family: Tahoma, sans-serif;
   font-size:   6pt;
   line-height: 8pt;
}

.tah06b
{
   font-family: Tahoma, sans-serif;
   font-size:   6pt;
   line-height: 8pt;
   font-weight: bold;
}

.tah08
{
   font-family: Tahoma, sans-serif;
   font-size:   8pt;
   line-height: 10pt;
}

.tah08b
{
   font-family: Tahoma, sans-serif;
   font-size:   8pt;
   line-height: 10pt;
   font-weight: bold;
}

.tah10
{
   font-family: Tahoma, sans-serif;
   font-size:   10pt;
   line-height: 12pt;
}

.tah10b
{
   font-family: Tahoma, sans-serif;
   font-size:   10pt;
   line-height: 12pt;
   font-weight: bold;
}

.tah12
{
   font-family: Tahoma, sans-serif;
   font-size:   12pt;
   line-height: 14pt;
}

.tah12b
{
   font-family: Tahoma, sans-serif;
   font-size:   12pt;
   line-height: 14pt;
   font-weight: bold;
}

.tah16b
{
   font-family: Tahoma, sans-serif;
   font-size:   16pt;
   line-height: 18pt;
   font-weight: bold;
}

.tah20b
{
   font-family: Tahoma, sans-serif;
   font-size:   20pt;
   line-height: 22pt;
   font-weight: bold;
}

.tah24b
{
   font-family: Tahoma, sans-serif;
   font-size:   24pt;
   line-height: 26pt;
   font-weight: bold;
}

.tah36b
{
   font-family: Tahoma, sans-serif;
   font-size:   36pt;
   line-height: 38pt;
   font-weight: bold;
}


/* Generalized Courier New (and similar) font style */
.cn10
{
   font-family: "Courier New", Courier, monospace;
   font-size:   10pt;
   line-height: 12pt;
}

.cn12
{
   font-family: "Courier New", Courier, monospace;
   font-size:   12pt;
   line-height: 14pt;
}

.console10
{
   font-family: "Lucida Console", "Courier New", Courier, monospace;
   font-size:   10pt;
   line-height: 12pt;
}


/* Generalized Times New Roman font styles */
.times08
{
   font-family: "Times New Roman", Times, serif;
   font-size:   8pt;
   line-height: 10pt;
}

.times10
{
   font-family: "Times New Roman", Times, serif;
   font-size:   10pt;
   line-height: 12pt;
}

.times12
{
   font-family: "Times New Roman", Times, serif;
   font-size:   12pt;
   line-height: 14pt;
}


/* Other Effects */
/* Code fragments used as links appear in Courier New and               */
/* are not underlined (so that underscores in the fragment are visible) */
/* Use inline in anchor and span tags                                   */
/* Font size is not specified; size is that of surrounding text         */
.code
{
   font-family:     "Courier New", Courier, monospace;
   text-decoration: none;
}

/* Use to give text extra emphasis */
.redtext
{
   color:      #FF0000;
   background: inherit;
}

/* Use to give text extra emphasis (but not to clash with blue background */
.darkredtext
{
   color:      #CC0000;
   background: inherit;
}

/* Use to gray out (deemphasize) text */
.graytext
{
   color:      #808080;
   background: inherit;
}

/* In-document Table of Contents: tah08 with first line  */
/* is further left than rest of text (using text-indent) */
/* Used for TOCs in documents in the main frame          */
/* Level 1 TOC */
.toc1
{
   font-family: Tahoma, sans-serif;
   font-size:   8pt;
   line-height: 10pt;
   margin-left: 10px;
   text-indent: -10px;
}

/* Level 2 TOC */
.toc2
{
   font-family: Tahoma, sans-serif;
   font-size:   8pt;
   line-height: 10pt;
   margin-left: 20px;
   text-indent: -10px;
}

/* Level 3 TOC */
.toc3
{
   font-family: Tahoma, sans-serif;
   font-size:   8pt;
   line-height: 10pt;
   margin-left: 30px;
   text-indent: -10px;
}


/* toc-Frame Table of Contents: tah10b with indented levels (no first-line indent) */
/* Used for TOC in toc frame */
/* Level 1 TOC */
.toc1tah10
{
   font-family: Tahoma, sans-serif;
   font-size:   10pt;
   line-height: 12pt;
   margin-left: 2px;
   font-weight: bold;
}

/* Level 2 TOC */
.toc2tah10
{
   font-family: Tahoma, sans-serif;
   font-size:   10pt;
   line-height: 12pt;
   margin-left: 12px;
   font-weight: bold;
}

/* Level 3 TOC */
.toc3tah10
{
   font-family: Tahoma, sans-serif;
   font-size:   10pt;
   line-height: 12pt;
   margin-left: 22px;
   font-weight: bold;
}

